/****************************************/
/*                DEMO.C                */
/*       Written by Scott Sanders       */
/* (c)1992 Software Development Systems */
/*        C Library A - Version 1       */
/*              Demo Program            */
/****************************************/

#include <AES.H>
#include <VDI.H>
#include <OSBIND.H>
#include <OBDEFS.H>
#include "NEWALERT.H"

short IMAG0[] = {
0x0, 0x0, 0x0, 0x0, 
0x0, 0x0, 0x1FF, 0xFF80, 
0x200, 0x40, 0x23F, 0xFE40, 
0xE3F, 0xFF70, 0x1020, 0x188, 
0x201F, 0xFE04, 0x4000, 0x2, 
0x7FFF, 0xFFFE, 0x80AA, 0xAAA1, 
0x8055, 0x5551, 0xFFFF, 0xFFFF, 
0x8000, 0x1, 0x8000, 0x1, 
0x807F, 0xFFF1, 0x806A, 0xAAB1, 
0x8055, 0x5551, 0x8000, 0x1, 
0x81FF, 0xFFFD, 0x807F, 0xFFF1, 
0x807F, 0xFFF1, 0x807F, 0xFFF1, 
0xFFEA, 0xAABF, 0xD575, 0x5575, 
0xAAAA, 0xAAAB, 0x7FFF, 0xFFFE, 
0x3FFF, 0xFFFC, 0x0, 0x0, 
0x0, 0x0, 0x0, 0x0};

int
main()
{
	OBJECT *tree;
	GRECT form,orig;

	appl_init();
	
	if(!rsrc_load("DEMO.RSC"))
		exit(0);
		
	rsrc_gaddr(R_TREE,0,&tree);
	
	wind_get(DESK,WF_CURRXYWH,ELTS(&form));
	
	form.g_h /= 2;	/* Place the object above center */
	
	form_ncenter(tree,&form);	/* Here's call #1 */
	orig.g_x = form.g_x;
	orig.g_y = form.g_y;
	orig.g_w = form.g_w;
	orig.g_h = form.g_h;
	
	form_dial(FMD_START,0,0,0,0,ELTS(orig));
	form_dial(FMD_GROW,0,0,0,0,ELTS(orig));
	objc_draw(tree,ROOT,MAX_DEPTH,ELTS(form));

	if(form_nalert(NULL,1,"[1][Welcome to the|form_nalert()|and form_ncenter()|demo program!][Yippee]",NULL)<0)
		form_alert(1,"[0][Form Error][Ok]");
	if(form_nalert(NULL,2,"[0][All of the alerts you'll|see in this program we're|actually form_nalert()|calls.][Great|So What!]",NULL)<0)
		form_alert(1,"[0][Form Error][Ok]");
	if(form_nalert(&form,3,"[2][These alerts can be centered|because form_nalert() uses|form_ncenter(), another|included call.][Hey,|that's|great]",NULL)<0)
		form_alert(1,"[0][Form Error][Ok]");

	form.g_w /=2;
	if(form_nalert(&form,1,"[4][Forms can be placed|anywhere and have custom|icons assigned to them.][Neat]",IMAG0)<0)
		form_alert(1,"[0][Form Error][Ok]");
	if(form_nalert(NULL,1,"[1][012345678901234567890123456789|012345678901234567890123456789|012345678901234567890123456789|012345678901234567890123456789|012345678901234567890123456789][-As large-|--as  it--|---gets---]",NULL)<0)
		form_alert(1,"[0][Form Error][Ok]");
	if(form_nalert(NULL,2,"[0][Thank you for trying|this demo. Have a nice|day!][(c)1992|SDS]",NULL)<0)
		form_alert(1,"[0][Form Error][Ok]");

	form_dial(FMD_SHRINK,0,0,0,0,ELTS(orig));
	form_dial(FMD_FINISH,0,0,0,0,ELTS(orig));
	rsrc_free();
	appl_exit();
}
	
	
	
	       